API Reference

Public · Orders

Push and read orders from a partner channel. Idempotency-Key is mandatory on create.

3 endpoints· Auth: API Key
get/api/v1/public/orders API Key

Get orders

Query parameters

Status
string
—
From
string (date)
—
To
string (date)
—
ExternalOrderId
string
—
Limit
integer (int32)
—
Offset
integer (int32)
—
Search
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/public/orders" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/public/orders API Key

Create orders

Request body

application/json
{
  "channelId": "00000000-0000-0000-0000-000000000000",
  "shift": "string",
  "brandId": "00000000-0000-0000-0000-000000000000",
  "lines": [
    {
      "productId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "modifierOptionIds": [
        "00000000-0000-0000-0000-000000000000"
      ]
    }
  ],
  "tenders": [
    {
      "methodId": "00000000-0000-0000-0000-000000000000",
      "amount": 0
    }
  ],
  "externalOrderId": "string",
  "currencyCode": "string",
  "capturedAt": "2026-09-30T18:07:53.795Z"
}
channelId
string (uuid)
—
shift
string
—
brandId
string (uuid)
—
lines
PublicCreateOrderLineRequest[]
—
tenders
PublicCreateOrderTenderRequest[]
—
externalOrderId
string
—
currencyCode
string
—
capturedAt
string (date-time)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/public/orders" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "channelId": "00000000-0000-0000-0000-000000000000",
  "shift": "string",
  "brandId": "00000000-0000-0000-0000-000000000000",
  "lines": [
    {
      "productId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "modifierOptionIds": [
        "00000000-0000-0000-0000-000000000000"
      ]
    }
  ],
  "tenders": [
    {
      "methodId": "00000000-0000-0000-0000-000000000000",
      "amount": 0
    }
  ],
  "externalOrderId": "string",
  "currencyCode": "string",
  "capturedAt": "2026-09-30T18:07:53.794Z"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/public/orders/{id} API Key

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/public/orders/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu